> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anthid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete current user

> Deletes the authenticated user account from WorkOS. The authenticated principal must be a user.



## OpenAPI

````yaml /api-reference/organizations.openapi.json delete /v1/users/me
openapi: 3.1.0
info:
  title: organizations
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.anthid.com
    description: Production
security: []
tags:
  - name: Organizations
    description: Organizations API
paths:
  /v1/users/me:
    delete:
      tags:
        - Organizations
      summary: Delete current user
      description: >-
        Deletes the authenticated user account from WorkOS. The authenticated
        principal must be a user.
      operationId: deleteCurrentUser
      responses:
        '204':
          description: Current user deleted
        '401':
          description: Missing or invalid authentication credentials
          content:
            text/plain:
              schema:
                type: string
        '403':
          description: Authenticated principal is not a user
          content:
            text/plain:
              schema:
                type: string
        '429':
          description: Caller exceeded the request rate limit
          content:
            text/plain:
              schema:
                type: string
        '500':
          description: Unexpected server error while deleting the user
          content:
            text/plain:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````